Video switching commands
========================

.. autoclass:: pyatem.command.VideoModeCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.AutoInputVideoModeCommand
   :members:
   :special-members:


Program / Preview bus
---------------------

.. autoclass:: pyatem.command.ProgramInputCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.PreviewInputCommand
   :members:
   :special-members:

Aux routing
-----------

.. autoclass:: pyatem.command.AuxSourceCommand
   :members:
   :special-members:

Transitions
-----------

.. autoclass:: pyatem.command.CutCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.AutoCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.TransitionPreviewCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.TransitionSettingsCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.TransitionPositionCommand
   :members:
   :special-members:

Transition settings
-------------------

.. autoclass:: pyatem.command.MixSettingsCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DipSettingsCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.WipeSettingsCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DveSettingsCommand
   :members:
   :special-members:

Palettes
--------

.. autoclass:: pyatem.command.ColorGeneratorCommand
   :members:
   :special-members:

Downstream
----------

.. autoclass:: pyatem.command.FadeToBlackCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DkeyOnairCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DkeyTieCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DkeyAutoCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DkeyRateCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DkeySetFillCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DkeySetKeyCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DkeyGainCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.DkeyMaskCommand
   :members:
   :special-members:


.. autoclass:: pyatem.command.CaptureStillCommand
   :members:
   :special-members:

Upstream keyers
---------------

.. autoclass:: pyatem.command.KeyOnAirCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.KeyTypeCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.KeyFillCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.KeyCutCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.KeyPropertiesLumaCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.KeyPropertiesDveCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.KeyerKeyframeSetCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.KeyerKeyframeRunCommand
   :members:
   :special-members:

Mediaplayer
-----------

.. autoclass:: pyatem.command.MediaplayerSelectCommand
   :members:
   :special-members:


Fade to black
-------------

.. autoclass:: pyatem.command.FadeToBlackConfigCommand
   :members:
   :special-members:

SuperSource
-----------

.. autoclass:: pyatem.command.SupersourcePropertiesCommand
   :members:
   :special-members:

.. autoclass:: pyatem.command.SupersourceBoxPropertiesCommand
   :members:
   :special-members: